Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(27)

Issue 2751403002: Record the fraction of the time without user input - Aura only (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by tdresser
Modified:
2 months, 4 weeks ago
Reviewers:
sadrul, Ilya Sherman
CC:
chromium-reviews, kalyank, sadrul, asvitkine+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Record the fraction of the time without user input - Aura only. We don't have a good sense of how long Chrome sits idle, without any input. Gather this via UMA. I'll plumb up the FractionOfTimeWithoutUserInputRecorder on other platforms in subsequent patches. BUG=702198 Review-Url: https://codereview.chromium.org/2751403002 Cr-Commit-Position: refs/heads/master@{#459897} Committed: https://chromium.googlesource.com/chromium/src/+/a3b17964413c5c6630917b8238d6f9681d6bca9e

Patch Set 1 #

Patch Set 2 : Rename everything, fix compile, fix arithmetic error. #

Patch Set 3 : Update test. #

Total comments: 24

Patch Set 4 : Address sadrul@'s feedback. #

Total comments: 2

Patch Set 5 : Address nits #

Total comments: 3

Patch Set 6 : Add units to histogram #

Unified diffs Side-by-side diffs Delta from patch set Stats (+362 lines, -0 lines) Patch
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 1 chunk +10 lines, -0 lines 0 comments Download
M ui/aura/window_event_dispatcher.h View 1 2 chunks +4 lines, -0 lines 0 comments Download
M ui/aura/window_event_dispatcher.cc View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
M ui/aura/window_event_dispatcher_unittest.cc View 1 2 3 3 chunks +33 lines, -0 lines 0 comments Download
M ui/events/BUILD.gn View 1 2 3 2 chunks +3 lines, -0 lines 0 comments Download
A ui/events/fraction_of_time_without_user_input_recorder.h View 1 2 3 4 1 chunk +51 lines, -0 lines 0 comments Download
A ui/events/fraction_of_time_without_user_input_recorder.cc View 1 2 3 4 1 chunk +80 lines, -0 lines 0 comments Download
A ui/events/fraction_of_time_without_user_input_recorder_unittest.cc View 1 2 3 4 1 chunk +176 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 32 (22 generated)
tdresser
PTAL
3 months, 1 week ago (2017-03-17 17:44:53 UTC) #18
sadrul
https://codereview.chromium.org/2751403002/diff/40001/ui/aura/window_event_dispatcher.cc File ui/aura/window_event_dispatcher.cc (right): https://codereview.chromium.org/2751403002/diff/40001/ui/aura/window_event_dispatcher.cc#newcode499 ui/aura/window_event_dispatcher.cc:499: event->time_stamp()); Do you care whether the event is actually ...
3 months, 1 week ago (2017-03-19 00:38:52 UTC) #19
tdresser
Thanks! PTAL https://codereview.chromium.org/2751403002/diff/40001/ui/aura/window_event_dispatcher.cc File ui/aura/window_event_dispatcher.cc (right): https://codereview.chromium.org/2751403002/diff/40001/ui/aura/window_event_dispatcher.cc#newcode499 ui/aura/window_event_dispatcher.cc:499: event->time_stamp()); On 2017/03/19 00:38:51, sadrul wrote: > ...
3 months ago (2017-03-24 14:56:31 UTC) #20
sadrul
lgtm https://codereview.chromium.org/2751403002/diff/40001/ui/events/fraction_of_time_without_user_input_recorder.cc File ui/events/fraction_of_time_without_user_input_recorder.cc (right): https://codereview.chromium.org/2751403002/diff/40001/ui/events/fraction_of_time_without_user_input_recorder.cc#newcode14 ui/events/fraction_of_time_without_user_input_recorder.cc:14: const base::TimeDelta DEFAULT_IDLE_TIMEOUT = On 2017/03/24 14:56:30, tdresser ...
3 months ago (2017-03-24 17:29:33 UTC) #21
tdresser
https://codereview.chromium.org/2751403002/diff/40001/ui/events/fraction_of_time_without_user_input_recorder.cc File ui/events/fraction_of_time_without_user_input_recorder.cc (right): https://codereview.chromium.org/2751403002/diff/40001/ui/events/fraction_of_time_without_user_input_recorder.cc#newcode14 ui/events/fraction_of_time_without_user_input_recorder.cc:14: const base::TimeDelta DEFAULT_IDLE_TIMEOUT = On 2017/03/24 17:29:33, sadrul wrote: ...
2 months, 4 weeks ago (2017-03-27 18:59:26 UTC) #22
tdresser
+isherman@ for histograms.xml. https://codereview.chromium.org/2751403002/diff/80001/ui/events/fraction_of_time_without_user_input_recorder_unittest.cc File ui/events/fraction_of_time_without_user_input_recorder_unittest.cc (right): https://codereview.chromium.org/2751403002/diff/80001/ui/events/fraction_of_time_without_user_input_recorder_unittest.cc#newcode32 ui/events/fraction_of_time_without_user_input_recorder_unittest.cc:32: void set_window_size_for_test(base::TimeDelta window_size) { sadrul: is ...
2 months, 4 weeks ago (2017-03-27 19:01:46 UTC) #24
Ilya Sherman
Metrics LGTM % a nit: https://codereview.chromium.org/2751403002/diff/80001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2751403002/diff/80001/tools/metrics/histograms/histograms.xml#newcode15310 tools/metrics/histograms/histograms.xml:15310: +<histogram name="Event.FractionOfTimeWithoutUserInput"> nit: Please ...
2 months, 4 weeks ago (2017-03-27 19:07:57 UTC) #25
tdresser
Thanks. I'll land this, Sadrul, if you disagree with setter naming, I can land a ...
2 months, 4 weeks ago (2017-03-27 19:34:27 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2751403002/100001
2 months, 4 weeks ago (2017-03-27 19:35:41 UTC) #29
commit-bot: I haz the power
2 months, 4 weeks ago (2017-03-27 22:02:22 UTC) #32
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/a3b17964413c5c6630917b8238d6...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318